Name:           alltray
Version:        0.71b
Release:        4%{?dist}
Summary:        Dock any application in the tray

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://alltray.sourceforge.net/
Source0:        http://dl.sourceforge.net/alltray/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  GConf2-devel


%description
With AllTray you can dock any application without a native tray icon into the
system tray. It works well with GNOME, KDE, XFCE 4, Fluxbox, and WindowMaker.

%prep
%setup -q

%build
export CFLAGS="-fPIC $RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
rm $RPM_BUILD_ROOT%{_libdir}/*.so
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Application \
  --add-category Utility \
  --add-category GTK \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_libdir}/liballtray.so*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71b-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.71b-2
- Rebuild for new libpng

* Mon Mar 28 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.71b-1
- New upstream release
- Update spec to match current guidelines

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 12 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 0.71a-1
- New upstream

* Tue Feb 16 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 0.70-5
- Fix rhbz #564621: ImplicitDSOLinking 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.70-2
- Autorebuild for GCC 4.3

* Sun Dec 30 2007 Denis Leroy <denis@poolshark.org> - 0.70-1
- Update to upstream 0.70

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 0.69-3
- Fixed License tag

* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 0.69-2
- Reenabled dynamic library for X funcs preload, added ldconfig

* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 0.69-1
- Update to 0.69

* Wed Apr 26 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.66-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.65-2
- Rebuild for Fedora Extras 5

* Thu Jan 27 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.65-1
- Added -fPIC to CFLAGS
- Added preload patch
- Initial RPM release
